Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.example.loanbroker
Class DefaultLoanBroker

    java.lang.Object
      org.mule.example.loanbroker.AbstractLoanBroker
          org.mule.example.loanbroker.DefaultLoanBroker

All Implemented Interfaces:
  LoanBrokerService

Direct Known Subclasses:
  AsynchronousLoanBroker, SynchronousLoanBroker

    public class DefaultLoanBroker

extends AbstractLoanBroker

`SyncLoanBroker` is a synchronous Loan Broker that makes the calls to various components through the event context synchronously.

Field Summary

Fields inherited from class org.mule.example.loanbroker.AbstractLoanBroker
`logger`

Constructor Summary
`DefaultLoanBroker()`

Method Summary
`CreditAgencyService` | `getCreditAgency()`
`Bank[]` | `getLenders(CreditProfile creditProfile, Double loanAmount)`
`Object` | `getLoanQuote(CustomerQuoteRequest request)` Triggered by an incoming customer request for a loan.
`void` | `setCreditAgency(CreditAgencyService creditAgency)`
`void` | `setLenderList(LoanBrokerQuoteRequest request)` Sets the list of lenders on the LoanBrokerQuoteRequest and returns it.

Methods inherited from class org.mule.example.loanbroker.AbstractLoanBroker
`incProfiles, incQuotes, incRequests, receiveCreditProfile, receiveCustomer, receiveLoanBrokerQuoteRequest, receiveQuote`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultLoanBroker

    public DefaultLoanBroker()

Method Detail

### getLoanQuote

    public Object getLoanQuote(CustomerQuoteRequest request)
                        throws LoanBrokerException

  Description copied from interface: `LoanBrokerService`
  Triggered by an incoming customer request for a loan.

  Specified by:
    `getLoanQuote` in interface `LoanBrokerService`
  Overrides:
    `getLoanQuote` in class `AbstractLoanBroker`
  Returns:
    Outgoing payload will depend on the implementation
  Throws:
    `LoanBrokerException`

### setLenderList

    public void setLenderList(LoanBrokerQuoteRequest request)

  Sets the list of lenders on the LoanBrokerQuoteRequest and returns it.

### getLenders

    public Bank[] getLenders(CreditProfile creditProfile,
                             Double loanAmount)

### getCreditAgency

    public CreditAgencyService getCreditAgency()

### setCreditAgency

    public void setCreditAgency(CreditAgencyService creditAgency)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.